#region Copyright Syncfusion Inc. 2001 - 2017
// Copyright Syncfusion Inc. 2001 - 2017. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace SplineChart
{
    public partial class MainWindow : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;
        public static ObservableCollection<LocationXY> XYLocation;

        public MainWindow()
        {
            InitializeComponent();
            DataContext = this;
            InitializeGraphSeries();
        }
        void NotifyPropertyChanged(string info)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(info));
        }
        void InitializeGraphSeries()
        {
            XYLocation = new ObservableCollection<LocationXY>();
            int XLocation = 0;
            XYLocation.Add(new LocationXY() { XValue = XLocation++, YValue = 13.4 });
            XYLocation.Add(new LocationXY() { XValue = XLocation++, YValue = 13.5 });
            XYLocation.Add(new LocationXY() { XValue = XLocation++, YValue = 13.5 });
            XYLocation.Add(new LocationXY() { XValue = XLocation++, YValue = 13.5 });
            XYLocation.Add(new LocationXY() { XValue = XLocation++, YValue = 13.6 });
            XYLocation.Add(new LocationXY() { XValue = XLocation++, YValue = 11.8 });
            XYLocation.Add(new LocationXY() { XValue = XLocation++, YValue = 11.7 });
            XYLocation.Add(new LocationXY() { XValue = XLocation++, YValue = 11.5 });
            XYLocation.Add(new LocationXY() { XValue = XLocation++, YValue = 11.8 });
            XYLocation.Add(new LocationXY() { XValue = XLocation++, YValue = 12.2 });
            XYLocation.Add(new LocationXY() { XValue = XLocation++, YValue = 13.5 });
            XYLocation.Add(new LocationXY() { XValue = XLocation++, YValue = 13.5 });
            XYLocation.Add(new LocationXY() { XValue = XLocation++, YValue = 13.1 });
            XYLocation.Add(new LocationXY() { XValue = XLocation++, YValue = 13.1 });
            XYLocation.Add(new LocationXY() { XValue = XLocation++, YValue = 13 });
            XYLocation.Add(new LocationXY() { XValue = XLocation++, YValue = 12 });
            XYLocation.Add(new LocationXY() { XValue = XLocation++, YValue = 11 });
            XYLocation.Add(new LocationXY() { XValue = XLocation++, YValue = 10.75 });
            XYLocation.Add(new LocationXY() { XValue = XLocation++, YValue = 10.7 });
            XYLocation.Add(new LocationXY() { XValue = XLocation++, YValue = 10.5 });

            RIJSeries.ItemsSource = XYLocation;
            RIJSeries.ListenPropertyChange = true;
            RIJSeries.XBindingPath = "YValue";
            RIJSeries.YBindingPath = "XValue";
        }
        void CannulaSlider_ValueChanged(object sender, System.Windows.RoutedPropertyChangedEventArgs<double> e)
        {
            //Allow cannula movement here eventually
        }
    }
    public class LocationXY : INotifyPropertyChanged
    {
        private double _YValue;
        public double YValue
        {
            get { return _YValue; }
            set { _YValue = value; NotifyPropertyChanged("YValue"); }
        }
        private double _XValue;
        public double XValue
        {
            get { return _XValue; }
            set { _XValue = value; NotifyPropertyChanged("XValue"); }
        }
        public event PropertyChangedEventHandler PropertyChanged;
        private void NotifyPropertyChanged(String info)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(info));
        }
    }
}
